import { Component, EventEmitter, Input, Output } from '@angular/core';
var NgxDeleteConfirmComponent = (function () {
    function NgxDeleteConfirmComponent() {
        this.question = 'Are you sure?';
        this.onConfirm = new EventEmitter();
        this.onCancel = new EventEmitter();
        this.show = false;
    }
    NgxDeleteConfirmComponent.prototype.sendConfirm = function () {
        this.onConfirm.emit();
        this.show = false;
    };
    NgxDeleteConfirmComponent.prototype.sendCancel = function () {
        this.onCancel.emit();
        this.show = false;
    };
    NgxDeleteConfirmComponent.decorators = [
        { type: Component, args: [{
                    selector: 'delete-confirm',
                    template: "<div class=\"delete-confirm\">\n        <a href=\"javascript:void(0)\" class=\"delete-confirm-btn\" (click)=\"show = true\">\n            <div #ref><ng-content></ng-content></div>\n            <i class=\"fa fa-trash\" *ngIf=\"ref.childNodes.length == 0\"></i>\n        </a>\n        <div class=\"delete-confirm-question\" *ngIf=\"show === true\">\n            <button class='btn-x-sm' (click)='sendCancel()'><i class=\"fa fa-times\"></i></button>\n            <button class='btn-x-sm' (click)='sendConfirm()'><i class=\"fa fa-check\"></i></button>\n            <span [innerHTML]=\"question\"></span>\n        </div>\n    </div>",
                    styles: ["\n        .delete-confirm {\n            background-color: transparent;\n        }\n\n        .delete-confirm-btn {\n        }\n\n        .delete-confirm-question {\n            color: white;\n            background-color: red;\n            float: left;\n            position: absolute;\n            z-index: 1;\n            padding: 5px 5px 5px 8px;\n            border-radius: 7px;\n            margin: -5px;\n        }\n\n        .delete-confirm-question button {\n            background-color: red;\n        }\n\n        .delete-confirm-question i {\n            color: white;\n        }\n\n        .fa-times, fa-check {\n            color: white;\n        }"]
                },] },
    ];
    /** @nocollapse */
    NgxDeleteConfirmComponent.ctorParameters = function () { return []; };
    NgxDeleteConfirmComponent.propDecorators = {
        'question': [{ type: Input, args: ['question',] },],
        'onConfirm': [{ type: Output, args: ['onConfirm',] },],
        'onCancel': [{ type: Output, args: ['onCancel',] },],
    };
    return NgxDeleteConfirmComponent;
}());
export { NgxDeleteConfirmComponent };
//# sourceMappingURL=ngx-delete-confirm.component.js.map