/**
 * ngx-delete-confirm - 
 * @version v0.0.3
 * @author gijs.sijpesteijn
 * @link https://github.com/sijpesteijn/ngx-delete-confirm#readme
 * @license MIT
 */
(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("@angular/core"), require("@angular/common"), require("@angular/forms"));
	else if(typeof define === 'function' && define.amd)
		define(["@angular/core", "@angular/common", "@angular/forms"], factory);
	else if(typeof exports === 'object')
		exports["ngxDeleteConfirm"] = factory(require("@angular/core"), require("@angular/common"), require("@angular/forms"));
	else
		root["ngxDeleteConfirm"] = factory(root["ng"]["core"], root["ng"]["common"], root["ng"]["forms"]);
})(this, function(__WEBPACK_EXTERNAL_MODULE_1__, __WEBPACK_EXTERNAL_MODULE_4__, __WEBPACK_EXTERNAL_MODULE_5__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 2);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(1);
var NgxDeleteConfirmComponent = (function () {
    function NgxDeleteConfirmComponent() {
        this.question = 'Are you sure?';
        this.onConfirm = new core_1.EventEmitter();
        this.onCancel = new core_1.EventEmitter();
        this.show = false;
    }
    NgxDeleteConfirmComponent.prototype.sendConfirm = function () {
        this.onConfirm.emit();
        this.show = false;
    };
    NgxDeleteConfirmComponent.prototype.sendCancel = function () {
        this.onCancel.emit();
        this.show = false;
    };
    __decorate([
        core_1.Input('question'),
        __metadata("design:type", String)
    ], NgxDeleteConfirmComponent.prototype, "question", void 0);
    __decorate([
        core_1.Output('onConfirm'),
        __metadata("design:type", core_1.EventEmitter)
    ], NgxDeleteConfirmComponent.prototype, "onConfirm", void 0);
    __decorate([
        core_1.Output('onCancel'),
        __metadata("design:type", core_1.EventEmitter)
    ], NgxDeleteConfirmComponent.prototype, "onCancel", void 0);
    NgxDeleteConfirmComponent = __decorate([
        core_1.Component({
            selector: 'delete-confirm',
            template: "<div class=\"delete-confirm\">\n        <a href=\"javascript:void(0)\" class=\"delete-confirm-btn\" (click)=\"show = true\">\n            <div #ref><ng-content></ng-content></div>\n            <i class=\"fa fa-trash\" *ngIf=\"ref.childNodes.length == 0\"></i>\n        </a>\n        <div class=\"delete-confirm-question\" *ngIf=\"show === true\">\n            <button class='btn-x-sm' (click)='sendCancel()'><i class=\"fa fa-times\"></i></button>\n            <button class='btn-x-sm' (click)='sendConfirm()'><i class=\"fa fa-check\"></i></button>\n            <span [innerHTML]=\"question\"></span>\n        </div>\n    </div>",
            styles: ["\n        .delete-confirm {\n            background-color: transparent;\n        }\n\n        .delete-confirm-btn {\n        }\n\n        .delete-confirm-question {\n            color: white;\n            background-color: red;\n            float: left;\n            position: absolute;\n            z-index: 1;\n            padding: 5px 5px 5px 8px;\n            border-radius: 7px;\n            margin: -5px;\n        }\n\n        .delete-confirm-question button {\n            background-color: red;\n        }\n\n        .delete-confirm-question i {\n            color: white;\n        }\n\n        .fa-times, fa-check {\n            color: white;\n        }"]
        })
    ], NgxDeleteConfirmComponent);
    return NgxDeleteConfirmComponent;
}());
exports.NgxDeleteConfirmComponent = NgxDeleteConfirmComponent;


/***/ }),
/* 1 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_1__;

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(0));
__export(__webpack_require__(3));


/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(1);
var common_1 = __webpack_require__(4);
var forms_1 = __webpack_require__(5);
var ngx_delete_confirm_component_1 = __webpack_require__(0);
var NgxDeleteConfirmModule = (function () {
    function NgxDeleteConfirmModule() {
    }
    NgxDeleteConfirmModule_1 = NgxDeleteConfirmModule;
    NgxDeleteConfirmModule.forRoot = function () {
        return {
            ngModule: NgxDeleteConfirmModule_1
        };
    };
    NgxDeleteConfirmModule = NgxDeleteConfirmModule_1 = __decorate([
        core_1.NgModule({
            declarations: [
                ngx_delete_confirm_component_1.NgxDeleteConfirmComponent
            ],
            imports: [
                common_1.CommonModule,
                forms_1.FormsModule
            ],
            exports: [
                ngx_delete_confirm_component_1.NgxDeleteConfirmComponent
            ],
            entryComponents: [
                ngx_delete_confirm_component_1.NgxDeleteConfirmComponent
            ]
        })
    ], NgxDeleteConfirmModule);
    return NgxDeleteConfirmModule;
    var NgxDeleteConfirmModule_1;
}());
exports.NgxDeleteConfirmModule = NgxDeleteConfirmModule;


/***/ }),
/* 4 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_4__;

/***/ }),
/* 5 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_5__;

/***/ })
/******/ ]);
});
//# sourceMappingURL=ngx-delete-confirm.js.map